---
name: Bug report
about: "Create a bug report to help us improve"
---

<!--
Please answer all the questions with enough information. All issues not following this template will be closed immediately.
If you are not sure if your question is truely a bug of V2Ray, please discuss it at https://github.com/v2fly/v2ray-core/discussions first.
-->

## What version of V2Ray are you using?

<!-- If you deploy different versions of V2Ray on server and client, please explicitly point out -->


## What's your scenario of using V2Ray?

<!-- E.g., watching YouTube videos in browsers via Socks/VMess proxy -->


## What problems have you encountered?

<!-- Please describe in detail, such as timeout, fake TLS certificate, etc -->


## What's your expectation?



## Please attach your configuration here

<!-- Remember to mask your IP address or hostname -->

**Server configuration:**

```javascript
// Please attach your server configuration here.

```

**Client configuration:**

```javascript
// Please attach your client configuration here.

```

## Please attach error logs here

<!--
only trailing lines if the log file is large in size.
Error log file is usually at `/var/log/v2ray/error.log` on Linux.
-->

**Server error log:**

```javascript
// Please attach your server error log here.

```

**Client error log:**

```javascript
// Please attach your client error log here.

```

## Please attach access log here

<!-- Access log is usually at '/var/log/v2ray/access.log' on Linux. -->

```javascript
// Please attach your server access log here.

```

## Other configurations (such as Nginx) and logs here



## If V2Ray cannot start up, please attach output from `--test` command



## If V2Ray service is abnormal, please attach journal log here

<!-- Usual command is `journalctl -u v2ray` -->

<!-- Please review your issue and check the format before submitting. -->
